export declare class CompassSvg {
  circles: Array<{
    cx: number;
    cy: number;
    radius: number;
    strokeWidth: number;
  }>;
  segmentTexts1: {
    id: string;
    text: string;
    angle: number;
  }[];
  segmentTexts2: {
    id: string;
    text: string;
    angle: number;
  }[];
  colors: string[];
  strokeWidth: number;
  polygonRadius: number;
  polygonWidth: number;
  borderGaps: number;
  segments: number[];
  radius: number;
  cx: number;
  cy: number;
  svgHeight: number;
  svgWidth: number;
  componentWillLoad(): void;
  getXCordinate(angle: any): number;
  getYCordinate(angle: any): number;
  calculateStrokeDashOffset: (radius: any) => number;
  render(): any;
}
